## groovy.util
Class ObjectRefFactory

Constructor Summary
`ObjectRefFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)`

Constructor Detail

### ObjectRefFactory

    ObjectRefFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)